GET Get SMS Campaign Processing Status​
GET
/sms/campaigns/{id}/processing-stat
Get the processing status of an SMS campaign that is being prepared for sending. If the campaign is in pending-scheduled status and its scheduled time is within 6 minutes, it transitions to processing. Returns whether the client should reload for updated data. PRO (requires FluentCampaign Pro SMS module).
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Path Parameters
id*
SMS campaign ID.
Type
Requiredinteger
Responses​
Processing status.
application/json
JSON
{
"reload": true,
"campaign": {
"id": 0,
"title": "string",
"message_content": "string",
"status": "string",
"type": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
},
"didRun": true,
"scheduling_method": "string"
}